Bug 485228 - Update to libmicrohttpd 0.4
Update to libmicrohttpd 0.4
Product: Fedora
Classification: Fedora
Component: libmicrohttpd (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-02-12 09:15 EST by Tim Niemueller
Modified: 2009-03-11 14:03 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.4.0a-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-11 14:03:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Niemueller 2009-02-12 09:15:27 EST
Description of problem:
libmicrohttpd 0.4 has been relased this week. It provides some interesting new features, most notably SSLv3/TLS support.

It introduces API and ABI changes. But since repoquery does not show any packages that depend on this it looks safe to push the update for the stable branches as well.

I'm using libmicrohttpd and would like to add SSL support therefore needing the update.
Comment 1 Erik van Pienbroek 2009-02-13 18:14:52 EST
I just tried to push this new version of libmicrohttpd to rawhide, but the testsuite failed to complete all the tests: http://koji.fedoraproject.org/koji/getfile?taskID=1125862&name=build.log

I need to do some further investigating before I can push this update.
Comment 2 Erik van Pienbroek 2009-02-13 18:43:04 EST
Bug reported upstream: https://gnunet.org/mantis/view.php?id=1454
Comment 3 Erik van Pienbroek 2009-02-14 06:10:44 EST
The failed testcase has been resolved and the package has been successfully build for rawhide: http://koji.fedoraproject.org/koji/buildinfo?buildID=82684
Now building the package for Fedora 10 updates-testing
Comment 4 Tim Niemueller 2009-02-14 06:50:57 EST
Great news, will try the F-10 build from Koji and report in Bodhi once update has been submitted.
Comment 5 Erik van Pienbroek 2009-02-14 08:02:26 EST
The update has been submitted: https://admin.fedoraproject.org/updates/libmicrohttpd-0.4.0-1.fc10
Comment 6 Erik van Pienbroek 2009-02-18 09:33:45 EST
It looks like bodhi didn't announce anything in this bugreport, but anyway, the update is in updates-testing right now
Comment 7 Fedora Update System 2009-02-27 18:43:39 EST
libmicrohttpd-0.4.0a-1.fc10 has been submitted as an update for Fedora 10.
Comment 8 Fedora Update System 2009-03-04 11:27:05 EST
libmicrohttpd-0.4.0a-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libmicrohttpd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2331
Comment 9 Fedora Update System 2009-03-11 14:03:08 EDT
libmicrohttpd-0.4.0a-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.